Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.jcr.query
Interface OracleQueryResult

All Superinterfaces:
  QueryResult

      public interface OracleQueryResult

extends QueryResult

OracleQueryResult is the result of executing an OracleQuery.

Method Summary
`void` `close()` Closes this OracleQueryResult, releasing any resources held.

Methods inherited from interface javax.jcr.query.QueryResult
`getColumnNames, getNodes, getRows`

Method Detail

### close

    void close()

  Closes this OracleQueryResult, releasing any resources held.

  If this OracleQueryResult was returned by calling the `execute` method of OracleQuery with a `willClose` of `true`, `close` must be called after processing query results to ensure all resources held by the query are released.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.